Name:                 convmv
Version:              2.06
Release:              %mkrel 1
Summary:              Converts filenames from one encoding to another
Group:                File tools
License:              GPLv2+
Url:                  https://j3e.de/linux/convmv/
BuildArch:            noarch
Source0:              https://www.j3e.de/linux/convmv/%{name}-%{version}.tar.gz
Source1:              testsuite2.tar.bz2
Patch0:               convmv-2.0-grep-2.23.patch

%description
This is a script for renaming files from one file name encoding to another,
e.g. from ISO-LATIN-1 to UTF-8.

%prep
%autosetup -p1 -a 1

%build
make

%install
%make_install PREFIX=%_prefix

%check
make test

%files
%doc Changes CREDITS TODO
%_bindir/%name
%_mandir/man1/%name.1*


%changelog
* Sun Apr 06 2025 daviddavid <daviddavid> 2.06-1.mga10
+ Revision: 2173984
- new version: 2.06

* Sun Mar 20 2022 umeabot <umeabot> 2.05-4.mga9
+ Revision: 1807816
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.05-3.mga8
+ Revision: 1501350
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.05-2.mga7
+ Revision: 1277815
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 shlomif <shlomif> 2.05-1.mga7
+ Revision: 1215047
- New version 2.05

* Tue Jan 16 2018 shlomif <shlomif> 2.04-1.mga7
+ Revision: 1193930
- New version 2.04

* Fri Feb 26 2016 luigiwalser <luigiwalser> 2.0-3.mga6
+ Revision: 979713
- add patch to fix test suite with grep 2.23

* Thu Feb 18 2016 umeabot <umeabot> 2.0-2.mga6
+ Revision: 965906
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 shlomif <shlomif> 2.0-1.mga6
+ Revision: 839167
- New version 2.0

* Wed Oct 15 2014 umeabot <umeabot> 1.15-5.mga5
+ Revision: 748884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-4.mga5
+ Revision: 678533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.15-3.mga4
+ Revision: 503475
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.15-2.mga3
+ Revision: 348120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 barjac <barjac> 1.15-1.mga2
+ Revision: 168813
- imported package convmv


* Fri Nov 18 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.15-1.mga2
- Import convmv

* Mon Aug 22 2011 GÃ¶tz Waschk <waschk@mandriva.org> 1.15-1mdv2012.0
+ Revision: 696080
- update to new version 1.15

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.14-2mdv2011.0
+ Revision: 437105
- rebuild

* Fri Dec 19 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.14-1mdv2009.1
+ Revision: 315999
- update to new version 1.14

* Mon Dec 01 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.13-1mdv2009.1
+ Revision: 308708
- update to new version 1.13

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.12-3mdv2009.0
+ Revision: 243629
- rebuild

* Thu Jan 24 2008 Funda Wang <fwang@mandriva.org> 1.12-1mdv2008.1
+ Revision: 157322
- New version 1.12

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 GÃ¶tz Waschk <waschk@mandriva.org> 1.10-1mdv2008.0
+ Revision: 46425
- Import convmv

* Wed Jun 28 2006 Götz Waschk <waschk@mandriva.org> 1.10-1mdv2007.0
- update test suite
- New release 1.10

* Sun Dec 11 2005 Götz Waschk <waschk@mandriva.org> 1.09-1mdk
- drop patch
- New release 1.09
- use mkrel

* Wed May 11 2005 Götz Waschk <waschk@mandriva.org> 1.08-1mdk
- initial package